org.apache.log4j.filter

## Class LevelRangeFilter

- java.lang.Object
- - org.apache.log4j.spi.Filter
  - - org.apache.log4j.filter.LevelRangeFilter

- All Implemented Interfaces:
    org.apache.log4j.spi.OptionHandler

      public class LevelRangeFilter
      extends org.apache.log4j.spi.Filter

  This is a very simple filter based on level matching, which can be used to reject messages with priorities outside a certain range.

  The filter admits three options LevelMin, LevelMax and AcceptOnMatch.

  If the level of the `LoggingEvent` is not between Min and Max (inclusive), then `Filter.DENY` is returned.

  If the Logging event level is within the specified range, then if AcceptOnMatch is true, `Filter.ACCEPT` is returned, and if AcceptOnMatch is false, `Filter.NEUTRAL` is returned.

  If `LevelMin` is not defined, then there is no minimum acceptable level (ie a level is never rejected for being too "low"/unimportant). If `LevelMax` is not defined, then there is no maximum acceptable level (ie a level is never rejected for beeing too "high"/important).

  Refer to the `setThreshold` method available to `all` appenders extending `AppenderSkeleton` for a more convenient way to filter out events by level.

  Author:
    Simon Kitching, based on code by Ceki Gülcü

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.spi.Filter

      `ACCEPT, DENY, NEUTRAL, next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LevelRangeFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decide(org.apache.log4j.spi.LoggingEvent event)` Return the decision of this filter.
    `boolean` | `getAcceptOnMatch()` Get the value of the `AcceptOnMatch` option.
    `org.apache.log4j.Level` | `getLevelMax()` Get the value of the `LevelMax` option.
    `org.apache.log4j.Level` | `getLevelMin()` Get the value of the `LevelMin` option.
    `void` | `setAcceptOnMatch(boolean acceptOnMatch)` Set the `AcceptOnMatch` option.
    `void` | `setLevelMax(org.apache.log4j.Level levelMax)` Set the `LevelMax` option.
    `void` | `setLevelMin(org.apache.log4j.Level levelMin)` Set the `LevelMin` option.

    - ### Methods inherited from class org.apache.log4j.spi.Filter

      `activateOptions, getNext, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LevelRangeFilter

          public LevelRangeFilter()

  - ### Method Detail

    - #### decide

          public int decide(org.apache.log4j.spi.LoggingEvent event)

      Return the decision of this filter.
      Specified by:
        `decide` in class `org.apache.log4j.spi.Filter`

    - #### getLevelMax

          public org.apache.log4j.Level getLevelMax()

      Get the value of the `LevelMax` option.

    - #### getLevelMin

          public org.apache.log4j.Level getLevelMin()

      Get the value of the `LevelMin` option.

    - #### getAcceptOnMatch

          public boolean getAcceptOnMatch()

      Get the value of the `AcceptOnMatch` option.

    - #### setLevelMax

          public void setLevelMax(org.apache.log4j.Level levelMax)

      Set the `LevelMax` option.

    - #### setLevelMin

          public void setLevelMin(org.apache.log4j.Level levelMin)

      Set the `LevelMin` option.

    - #### setAcceptOnMatch

          public void setAcceptOnMatch(boolean acceptOnMatch)

      Set the `AcceptOnMatch` option.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.